.pretty-select {
    display: block;
    width: 100%;
    margin: 0;
    height: rem(32);
    outline: none;
    color: var(--gray-40);
    box-shadow: none;
    font-weight: 400;
    font-size: rem(12);
    line-height: rem(20);
    border-radius: rem(4);
    padding: rem(5) rem(24) rem(5) rem(8);
    background-color: #F8F8F8;
    vertical-align: middle;
    border: rem(1) solid var(--gray-10);
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
    background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0nMjAnIGhlaWdodD0nMjAnIHZpZXdCb3g9JzAgMCAyMCAyMCcgZmlsbD0nbm9uZScgeG1sbnM9J2h0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnJz48cGF0aCBkPSdNNi4xNzUgNi45MTI1MUwxMCAxMC43MjkyTDEzLjgyNSA2LjkxMjUxTDE1IDguMDg3NTFMMTAgMTMuMDg3NUw1IDguMDg3NTFMNi4xNzUgNi45MTI1MVonIGZpbGw9JyM5OTk5OTknLz48L3N2Zz4K");
    background-repeat: no-repeat, repeat;
    background-position: right 8px top 50%, 0 0;
    background-size: 16px 16px;
    transition: var(--transition-time);
    overflow: hidden;
    text-overflow: ellipsis;

    &::placeholder {
        color: transparent;
    }

    &::-ms-expand { display: none; }

    &:hover {
        border-color: var(--blue);
        transition: var(--transition-time);
    }

    &:focus {
        background-color: white;
        border-color: var(--blue);
        transition: var(--transition-time);
    }

    &.filled {
        color: var(--gray-70);
        background-color: white;
        border-color: var(--blue);
    }
}
